# Contributing to Stencila

_The contribution guidelines are based on the guidelines provided by [Software and Data Carpentry](http://carpentries.org)._

[Stencila][stencila-site] is an open-source community-driven project. We encourage
and welcome contributions from all community members.

## General contribution guidelines

We prefer the contributions to be made via [GitHub][github]. If you are comfortable with Git and GitHub,
you can submit a pull request (PR). In Stencila we follow a commonly used workflow
for [contributing to open source projects][how-contribute] (see also [GitHub instructions][github-flow]).

## Licensing and contributor agreement

By contributing,
you agree that we may redistribute your work under [our license](LICENSE).
Everyone involved with Stencila
agrees to abide by our [code of conduct][conduct].

### Contributors list

This project follows the [all-contributors](https://allcontributors.org) specification. Please add contribuors, including yourself, using,

```bash
# Check for missing contributors
npx all-contributors check
# Add new contributor <username>, who made a contribution of type <contribution>
npx all-contributors add <username> <contribution>
# Example:
npx all-contributors add octocat code,doc
# Regenerate the readme table
npx all-contributors generate
```

See the list of contribution codes [here](https://allcontributors.org/docs/en/emoji-key).

## Get in touch!

You can chat with the team at our [community forum][community-forum],
on Twitter [@Stencila][stencila-twitter],
[Gitter][stencila-gitter], or email to [hello@stenci.la][contact]

[contact]: mailto:hello@stenci.la
[conduct]: https://github.com/stencila/policies/blob/master/CONDUCT.md
[community-forum]: https://github.com/stencila/libcore/blob/master/docs/community.stenci.la
[github]: http://github.com
[github-flow]: https://guides.github.com/introduction/flow/
[github-join]: https://github.com/join
[issues]: https://help.github.com/articles/creating-an-issue/
[how-contribute]: https://egghead.io/series/how-to-contribute-to-an-open-source-project-on-github
[stencila-site]: http://stenci.la/
[stencila-repo]: https://github.com/stencila/stencila
[stencila-twitter]: https://twitter.com/stencila
[stencila-gitter]: https://gitter.im/stencila/stencila/
