"use strict";
/**
 * Compiler for Microsoft Word
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const boot_1 = require("./boot");
const pandoc = __importStar(require("./pandoc"));
exports.mediaTypes = [
    'application/vnd.openxmlformats-officedocument.wordprocessingml.document'
];
async function parse(file) {
    return pandoc.parse(file, pandoc.InputFormat.docx, [`--extract-media=${file.path}.media`], true);
}
exports.parse = parse;
/** Used to style conversion outputs targeting Microsoft Word */
const defaultDocxTemplatePath = path_1.default.join(boot_1.home, 'src', 'templates', 'stencila-template.docx');
async function unparse(node, filePath, templatePath = defaultDocxTemplatePath) {
    return pandoc.unparse(node, filePath, pandoc.OutputFormat.docx, [`--reference-doc=${templatePath}`], true);
}
exports.unparse = unparse;
