/**
 * JATS compiler
 *
 * Compiler for [Journal Article Tag Suite (JATS)](https://en.wikipedia.org/wiki/Journal_Article_Tag_Suite).
 */
import stencila from '@stencila/schema';
import { VFile } from './vfile';
/**
 * Media types for this codec.
 *
 * There is currently no registered
 * [media type](https://www.iana.org/assignments/media-types/media-types.xhtml)
 * for JATS.
 *
 * This custom type uses the [convention](https://en.wikipedia.org/wiki/XML_and_MIME)
 * of using `application/` and the `+xml` suffix to differentiate this format from other
 * XML-based formats.
 */
export declare const mediaTypes: string[];
/**
 * Extension names for this codec.
 */
export declare const extNames: string[];
export declare function parse(file: VFile): Promise<stencila.Node>;
export declare function unparse(node: stencila.Node, filePath?: string): Promise<VFile>;
