"use strict";
/**
 * Compiler for Open Document Text (ODT)
 */
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const pandoc = __importStar(require("./pandoc"));
exports.mediaTypes = ['application/vnd.oasis.opendocument.text'];
async function parse(file) {
    return pandoc.parse(file, pandoc.InputFormat.odt, [
        `--extract-media=${file.path}.media`
    ]);
}
exports.parse = parse;
async function unparse(node, filePath) {
    return pandoc.unparse(node, filePath, pandoc.OutputFormat.odt, [], true);
}
exports.unparse = unparse;
