/**
 * # PDF unparser
 *
 * @module pdf
 */
/** A comment required for above to be included in docs.
 * See https://github.com/christopherthielen/typedoc-plugin-external-module-name/issues/300
 */
import * as stencila from '@stencila/schema';
import { VFile } from './vfile';
/**
 * The media types that this compiler can parse/unparse.
 */
export declare const mediaTypes: string[];
/**
 * This function is required (currently) but is (and probably never will be)
 * implemented.
 */
export declare function parse(file: VFile): Promise<stencila.Node>;
export declare const browser: {
    (): Promise<import("puppeteer").Page>;
    (close: "close"): Promise<void>;
};
/**
 * Unparse a Stencila `Node` to a `VFile` with PDF content.
 *
 * @param node The Stencila `Node` to unparse
 * @param filePath The file system path to write the PDF to
 * @returns A promise that resolves to a `VFile`
 */
export declare function unparse(node: stencila.Node, filePath?: string): Promise<VFile>;
