"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
//@ts-ignore
const parse_author_1 = __importDefault(require("parse-author"));
//@ts-ignore
const parse_full_name_1 = require("parse-full-name");
/**
 * Parse string data into a `Person`.
 *
 * @param data Data to parse
 */
function parse(data) {
    const { name, email, url } = parse_author_1.default(data);
    const { title, first, middle, last, suffix } = parse_full_name_1.parseFullName(name);
    const person = { type: 'Person' };
    if (title)
        person.honorificPrefix = title;
    if (first) {
        person.givenNames = [first];
        if (middle)
            person.givenNames.push(middle);
    }
    if (last)
        person.familyNames = [last];
    else
        throw new Error(`Unable to parse string "${data}" as a person`);
    if (suffix)
        person.honorificSuffix = suffix;
    if (email)
        person.emails = [email];
    if (url)
        person.url = url;
    return person;
}
exports.parse = parse;
